From: "Joerg Bornkessel" <hd_brummy@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-plugins/vdr-dvbapi/
Date: Sun, 29 May 2016 19:57:31 +0000 (UTC) [thread overview]
Message-ID: <1464551804.58971da6dbaece8db7df621cabe415dd783abe60.hd_brummy@gentoo> (raw)
commit: 58971da6dbaece8db7df621cabe415dd783abe60
Author: Joerg Bornkessel <hd_brummy <AT> gentoo <DOT> org>
AuthorDate: Sun May 29 19:56:44 2016 +0000
Commit: Joerg Bornkessel <hd_brummy <AT> gentoo <DOT> org>
CommitDate: Sun May 29 19:56:44 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58971da6
media-plugins/vdr-dvbapi: version bump
Package-Manager: portage-2.3.0_rc1
media-plugins/vdr-dvbapi/Manifest | 1 +
media-plugins/vdr-dvbapi/vdr-dvbapi-2.2.2.ebuild | 80 ++++++++++++++++++++++++
2 files changed, 81 insertions(+)
diff --git a/media-plugins/vdr-dvbapi/Manifest b/media-plugins/vdr-dvbapi/Manifest
index 0261db6..1a99cd1 100644
--- a/media-plugins/vdr-dvbapi/Manifest
+++ b/media-plugins/vdr-dvbapi/Manifest
@@ -1 +1,2 @@
DIST vdr-dvbapi-2.1.1.tar.gz 82813 SHA256 2724768de00a607d7119478296a3ad1cc592c12badbc95480edc5f7e6b3985d7 SHA512 fb632e66c9e477663eb1edf5e630a20b2165495c89d5bd6294d74d6a28c8386021d90914c9c6b958ea3c5c1d0958cc69efa5c65ef72c510c224d676f1eca39ae WHIRLPOOL af18c22bb00ddbb41aa8e3ee091f27a1bb7b79f0d90783af9c9503ad03a568193c88cc41db86e0e06fd8c503ad43242a582b0decc5f64c417283517f05d14727
+DIST vdr-dvbapi-2.2.2.tar.gz 83995 SHA256 86c00b7235952a6b49321efd6c931f0c97885475c9bdc81b0b35236fc7ec7f20 SHA512 01d3a6368e0233a7b96b6ea57b28884a004a130d63da2b2958b1616a1108e83389b68cbe32ec7fc6be65d6741912c4f46621b659fb13dba56e594a1a18af2c63 WHIRLPOOL 107c157c915876b17e437996957205559f2aaee144de732b366566f6817b456da992dfb9d061f9011bd06bb279ab346d394fb751fe87c7ceebddfffe23615a45
diff --git a/media-plugins/vdr-dvbapi/vdr-dvbapi-2.2.2.ebuild b/media-plugins/vdr-dvbapi/vdr-dvbapi-2.2.2.ebuild
new file mode 100644
index 0000000..105c387
--- /dev/null
+++ b/media-plugins/vdr-dvbapi/vdr-dvbapi-2.2.2.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit vdr-plugin-2
+
+DESCRIPTION="VDR Plugin: allows connect VDR to OScam"
+HOMEPAGE="https://github.com/manio/vdr-plugin-dvbapi"
+SRC_URI="https://github.com/manio/vdr-plugin-dvbapi/archive/v${PV}.tar.gz -> vdr-dvbapi-${PV}.tar.gz"
+
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+LICENSE="GPL-2"
+IUSE="cpu_flags_x86_3dnow cpu_flags_x86_mmx cpu_flags_x86_sse cpu_flags_x86_sse2"
+
+DEPEND=">=media-video/vdr-2.1.4"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/vdr-plugin-dvbapi-${PV}"
+
+DOCS="HISTORY INSTALL README FFdecsa/docs"
+
+src_prepare() {
+ vdr-plugin-2_src_prepare
+
+ # respect the system CXXFLAGS
+ sed -e "s:FLAGS:CXXFLAGS:" -i FFdecsa/Makefile
+
+ # Prepare flags for FFdeCSA
+ if [ -n "${VDR_DVBAPI_PARALLEL}" ]; then
+ PARALLEL="${VDR_DVBAPI_PARALLEL}"
+ else
+ # [32/64] Core2 (SSSE3) achieves best results with SSE2 & SSE
+ # [64] Athlon64 (SSE2) does much better with 64_LONG
+ # [32] Athlon64 (SSE2) does best with MMX
+ # [32] Pentium4 & Atom (SSE2) work best with SSE2 & SSE
+ # [32] AthlonXP (SSE) has MMX faster
+
+ # To avoid parsing -march=, we use ugly assumption that Intels don't
+ # have 3dnow and AMDs do. SSE achieves good results only on Intel CPUs,
+ # and LONG is best on 64-bit AMD CPUs.
+
+ if ! use cpu_flags_x86_3dnow && use cpu_flags_x86_sse2; then
+ PARALLEL=PARALLEL_128_SSE2
+ elif ! use cpu_flags_x86_3dnow && use cpu_flags_x86_sse; then
+ PARALLEL=PARALLEL_128_SSE
+ elif use amd64; then
+ PARALLEL=PARALLEL_64_LONG
+ elif use cpu_flags_x86_mmx; then
+ PARALLEL=PARALLEL_64_MMX
+ else
+ # fallback values:
+ # PARALLEL_32_INT fails with gcc4.4 on x86&amd64
+ # PARALLEL_64_2INT fails with gcc4.4 on x86
+ # PARALLEL_128_4INT seems to be the fastest non-failing fallback
+ PARALLEL=PARALLEL_128_4INT
+ fi
+
+ ewarn "VDR_DVBAPI_PARALLEL in your system make.conf is not set, guessing value from USEflags (${PARALLEL})."
+ ewarn "This setting may be suboptimal, so you'll probably want to tweak it yourself."
+ ewarn "\n\tRun the script ${WORKDIR}/extra/FFdecsa-benchmark.sh"
+ ewarn "\tand add the output parameter from PARALLEL= to your system make.conf"
+ ewarn "\tVDR_DVBAPI_PARALLEL= your parameter"
+ fi
+
+ export PARALLEL
+}
+
+pkg_postinst() {
+ vdr-plugin-2_pkg_postinst
+
+ elog "This software might be illegal in some countries or violate"
+ elog "rules of your DVB provider"
+ elog "Please respect these rules.\n"
+
+ elog "We do not offer support of any kind"
+ elog "Asking for keys or for installation help will be ignored by gentoo developers!\n"
+}
next reply other threads:[~2016-05-29 19:57 UTC|newest]
Thread overview: 8+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-05-29 19:57 Joerg Bornkessel [this message]
-- strict thread matches above, loose matches on Subject: below --
2019-12-25 18:53 [gentoo-commits] repo/gentoo:master commit in: media-plugins/vdr-dvbapi/ Jörg Bornkessel
2019-12-27 19:15 Jörg Bornkessel
2021-02-25 13:54 Agostino Sarubbo
2021-02-26 8:47 Mikle Kolyada
2021-02-26 8:47 Mikle Kolyada
2024-08-04 7:03 Joonas Niilola
2024-08-04 7:03 Joonas Niilola
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1464551804.58971da6dbaece8db7df621cabe415dd783abe60.hd_brummy@gentoo \
--to=hd_brummy@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox